/*
 * bltool - A Firmware Downloader/Uploader for ROSAND Technologies products
 * Copyright (C) 2000-2005  Brian S. Dean <bsd@bsdhome.com>
 * Copyright 2007-2009 Joerg Wunsch <j@uriah.heep.sax.de>
 * Copyright 2011, Rosand Technologies.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef SWRA327_H_
#define SWRA327_H_


#include "pgm.h"

#ifdef __cplusplus
extern "C" {
#endif

#define START_OF_FRAME   0xFE
#define SB_FORCE_BOOT    0xF8
#define TOKEN            0x4D
#define CMD_WRITE        0x01
#define CMD_READ         0x02
#define CMD_ENABLE       0x03
#define CMD_HAND_SHAKE   0x04
#define CMD_ERASE        0x05
#define CMD_READ_SIG     0x06
#define CMD_LEDS         0x07
#define CMD_END          0x0F

#define CMD_LEDS_ON      0x01
#define CMD_LEDS_OFF     0x02
#define CMD_LEDS_VFY     0x04

#define LEDS_VFY         0x01
#define LEDS_ERR         0x04

void swra327_initpgm (PROGRAMMER * pgm);

#ifdef __cplusplus
}
#endif

#endif /* SWRA327_H_ */

